<?php
/**
 * @package n3t Contact plugin
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2014 - 2017 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

$fields = $this->form->getFieldset($this->fieldset);
foreach ($fields as $field) {
  if ($field->hidden) 
    echo $field->input;
  else {
?>
<div class="control-group">
	<div class="control-label">
		<?php echo $field->label; ?>
		<?php if (!$field->required && $field->type != "Spacer" && $field->type != "Note") { ?>
			<span class="optional"><?php echo JText::_('COM_CONTACT_OPTIONAL'); ?></span>
		<?php } ?>
	</div>
	<div class="controls"><?php echo $field->input; ?></div>
</div>  
<?php 
  } 
}				
